from django.apps import AppConfig

import glob
import os


class ManagerConfig(AppConfig):
    name = 'manager'
    verbose_name = 'Remote VR Management'

    def ready(self):
        from .logger import logger

        for device in glob.glob("/opt/vpnmanager/imagebuilder/*"):
            if glob.glob(device + "/.kumilock"):
                os.remove(device + "/.kumilock")
